<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SaleDetail extends Model
{
    //use HasFactory;
    protected $guarded = [];

    // este detalle pertenece a una Venta específica
    public function sale()
    {
        return $this->belongsTo(Sale::class);
    }

    // este detalle corresponde a un Producto
    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}